# Class REDebugCompiler

java.lang.Object
com.codename1.util.regex.RECompiler
com.codename1.util.regex.REDebugCompiler

public class REDebugCompiler extends RECompiler
A subclass of RECompiler which can dump a regular expression program for debugging purposes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `REDebugCompiler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dumpProgram()`
  Dumps the current program to a `System.out`.
  `void`
  `dumpProgram(Writer p)`
  Dumps the current program to a `java.io.Writer`.

  ### Methods inherited from class RECompiler

  `compile`
  Modifier and Type
  Method
  Description
  `REProgram`
  `compile(String pattern)`
  Compiles a regular expression pattern into a program runnable by the pattern matcher class 'RE'.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### REDebugCompiler

    public REDebugCompiler()

- ## Method Details

  - ### dumpProgram

    public void dumpProgram(Writer p)

    Dumps the current program to a `java.io.Writer`.

    ###### Parameters

    - `p`: Writer for program dump output

  - ### dumpProgram

    public void dumpProgram()
    Dumps the current program to a `System.out`.